| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | List of all members
HazelnuppConstraintTypeMissmatch Class Reference

Gets thrown when a parameter is of a type that does not match the required type, and is not convertible to it. More...

`#include <HazelnuppException.h>`

Inheritance diagram for HazelnuppConstraintTypeMissmatch:
[legend]
Collaboration diagram for HazelnuppConstraintTypeMissmatch:
[legend]

## Public Member Functions
| HazelnuppConstraintTypeMissmatch ()
| HazelnuppConstraintTypeMissmatch (const std::string &msg)
Public Member Functions inherited from HazelnuppConstraintException
| HazelnuppConstraintException ()
| HazelnuppConstraintException (const std::string &msg)
Public Member Functions inherited from HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members
Protected Attributes inherited from HazelnuppException
std::string | message

## Detailed Description

Gets thrown when a parameter is of a type that does not match the required type, and is not convertible to it.

Definition at line 51 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppConstraintTypeMissmatch() [1/2]

HazelnuppConstraintTypeMissmatch::HazelnuppConstraintTypeMissmatch | ( |  | ) |
| inline

Definition at line 54 of file HazelnuppException.h.

54 : HazelnuppConstraintException() {};

## ◆ HazelnuppConstraintTypeMissmatch() [2/2]

HazelnuppConstraintTypeMissmatch::HazelnuppConstraintTypeMissmatch | ( | const std::string & | msg | ) |
| inline

Definition at line 55 of file HazelnuppException.h.

55 : HazelnuppConstraintException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

HazelnuppConstraintException::HazelnuppConstraintException
HazelnuppConstraintException()
Definition: HazelnuppException.h:45